Bug 247757 - HWADDR usage
HWADDR usage
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-11 06:12 EDT by Andrei Nestor
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 04:20:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrei Nestor 2007-07-11 06:12:49 EDT
Hello!

Description of problem:

Configuring a logically-assigned MAC address using system-config-network does
not work.

Version-Release number of selected component (if applicable): 1.3.96-1

How reproducible: every time

Steps to Reproduce:
1. type in a mac address in the system-config-network gui
2. save configuration
3.
  
Actual results:
The MAC address remains the same.

Expected results:
The network interface will run with a logically-assigned MAC address.

Additional info:

system-config-network sets the HWADDR variable inside ifcfg-<ifname>. This is
used by the ifup-eth script to call a function called rename_device, which is
defined inside network-functions. However, rename_device no longer changes the
hardware address of an interface. Looking further into ifup-eth, I saw that
there is another variable called MACADDR which is used to "ip link set" the mac
address on the device.

HTH, Andrei
Comment 1 Harald Hoyer 2007-09-24 04:20:04 EDT
s-c-network does not allow you to _set_ the MACADDR. It only provides a way to
bind the interface name ("eth0") to a device with the specified HWADDR.

Note You need to log in before you can comment on or make changes to this bug.